class CreateQaAuthAdmins < ActiveRecord::Migration
	def self.up
		create_table :admins do |t|
			t.database_authenticatable
			t.confirmable
			t.recoverable
			t.rememberable
			t.trackable
			t.string :username
			t.string :surname
			t.string :firstname
			t.integer :roles_mask
			t.timestamps

		end
		Admin.create(:email => "n.bally@quartz-agence.com", :username => "quartz", :surname => "Bally", :firstname => "Nicolas", :password => "123456", :password_confirmation => "123456")
	
	end

	def self.down
		drop_table :admins
	end
end
